Bug 32835 - Fix cataloguing/value_builder/unimarc_field_122.pl
Summary: Fix cataloguing/value_builder/unimarc_field_122.pl
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Julian Maurice
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 30975
  Show dependency treegraph
 
Reported: 2023-02-03 13:00 UTC by Julian Maurice
Modified: 2023-12-28 20:42 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
23.05.00,22.11.04,22.05.11,21.11.19


Attachments
Bug 32835: Fix cataloguing/value_builder/unimarc_field_122.pl (1.48 KB, patch)
2023-02-03 13:00 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 32835: Fix cataloguing/value_builder/unimarc_field_122.pl (1.52 KB, patch)
2023-02-17 10:12 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 32835: Fix cataloguing/value_builder/unimarc_field_122.pl (1.67 KB, patch)
2023-02-24 16:41 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Julian Maurice 2023-02-03 13:00:13 UTC
This is part of the refactoring happening in bug 30975
Comment 1 Julian Maurice 2023-02-03 13:00:44 UTC
Created attachment 146100 [details] [review]
Bug 32835: Fix cataloguing/value_builder/unimarc_field_122.pl

Use event parameter

This is part of the refactoring happening in bug 30975

Test plan:
1. Verify that the plugin continues to work as before
Comment 2 Julian Maurice 2023-02-17 10:12:13 UTC
Created attachment 146771 [details] [review]
Bug 32835: Fix cataloguing/value_builder/unimarc_field_122.pl

Use event parameter

This is part of the refactoring happening in bug 30975

Test plan:
1. Verify that the plugin continues to work as before
Comment 3 Nick Clemens 2023-02-24 16:41:24 UTC
Created attachment 147360 [details] [review]
Bug 32835: Fix cataloguing/value_builder/unimarc_field_122.pl

Use event parameter

This is part of the refactoring happening in bug 30975

Test plan:
1. Verify that the plugin continues to work as before

Signed-off-by: David Nind <david@davidnind.com>

https://bugs.koha-community.org/show_bug.cgi?id=32825
Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Nick Clemens 2023-02-24 16:42:43 UTC
Moved signed off patch from wrong bug 32825
Comment 5 Tomás Cohen Arazi 2023-02-24 19:56:54 UTC
Pushed to master for 23.05.

Nice work everyone, thanks!
Comment 6 Matt Blenkinsop 2023-03-01 09:45:05 UTC
Nice work everyone!

Pushed to stable for 22.11.x
Comment 7 Lucas Gass 2023-03-10 14:16:35 UTC
Backported to 22.05.x for upcoming 22.05.11
Comment 8 Arthur Suzuki 2023-03-29 12:58:00 UTC
applied to 21.11 for 21.11.19
Comment 9 wainuiwitikapark 2023-04-27 05:35:07 UTC
Not backported to 21.05.x